> ## Documentation Index
> Fetch the complete documentation index at: https://ayrshare.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# コメントの削除

> 単一のコメント、または投稿配下のすべてのコメントを削除します

export const XByoNotice = () => <Info>
  <strong>Targeting X/Twitter?</strong> Starting March 31, 2026, all X operations require your own API credentials. After linking X via OAuth, include these 2 headers in your request:
  <br /><br />
  <code>X-Twitter-OAuth1-Api-Key</code> — Your API Key (Consumer Key)<br />
  <code>X-Twitter-OAuth1-Api-Secret</code> — Your API Key Secret (Consumer Secret)
  <br /><br />
  <strong>One-time setup per Ayrshare account.</strong> You create one X Developer App and reuse the same API Key and Secret across every sub-profile / end-user you link. You do <em>not</em> create a new app per customer.
  <br /><br />
  Not linked yet? See the <a href="/dashboard/connect-social-accounts/x-twitter-byo-keys">full setup guide</a> to connect your X account.
  <br /><br />
  Your keys are never logged or stored by Ayrshare.
</Info>;

export const HeaderAPI = ({noProfileKey, profileKeyRequired}) => <>
    <ParamField header="Authorization" type="string" required>
      <a href="/apis/overview#authorization">API Key</a> of the Primary Profile.
      <br />
      <br />
      Format: <code>Authorization: Bearer API_KEY</code>
    </ParamField>
    {!noProfileKey && (profileKeyRequired ? <ParamField header="Profile-Key" type="string" required>
          <a href="/apis/overview#profile-key-format">Profile Key</a> of a User Profile.
          <br />
          <br />
          Format: <code>Profile-Key: PROFILE_KEY</code>
        </ParamField> : <ParamField header="Profile-Key" type="string">
          <a href="/apis/overview#profile-key-format">Profile Key</a> of a User Profile.
          <br />
          <br />
          Format: <code>Profile-Key: PROFILE_KEY</code>
        </ParamField>)}
  </>;

export const PlansAvailable = ({plans = [], maxPackRequired}) => {
  let displayPlans = plans;
  if (plans && plans.length === 1) {
    const lowerCasePlan = plans[0].toLowerCase();
    if (lowerCasePlan === "business") {
      displayPlans = ["Launch", "Business", "Enterprise"];
    } else if (lowerCasePlan === "premium") {
      displayPlans = ["Premium", "Launch", "Business", "Enterprise"];
    }
  }
  return <Note>
Available on {displayPlans.length === 1 ? "the " : ""}
{displayPlans.join(", ").replace(/\b\w/g, l => l.toUpperCase())}{" "}
{displayPlans.length > 1 ? "plans" : "plan"}.

{maxPackRequired && <span onClick={() => window.open('https://www.ayrshare.com/docs/additional/maxpack', '_self')} className="flex items-center mt-2 cursor-pointer">
 <span className="px-1.5 py-0.5 rounded text-sm" style={{
    backgroundColor: '#C264B6',
    color: 'white',
    fontSize: '12px'
  }}>
   Max Pack required
 </span>
</span>}
</Note>;
};

<PlansAvailable plans={["premium"]} maxPackRequired={false} />

<XByoNotice />

delete エンドポイントを使うと、Ayrshare 経由で送信されたコメント、または Ayrshare 外部で送信されたコメントのどちらでも削除できます。

各種 ID の詳細は [Comments Overview](/apis/comments/overview) を参照してください。

### Ayrshare から送信されたコメントの削除

Ayrshare 経由で送信された、単一のコメントまたは投稿配下のすべてのコメントを削除します。
詳細は [Ayrshare Post ID](/apis/comments/overview#comments-with-ayrshare-post-id) と [Ayrshare Comment ID](/apis/comments/overview#comments-with-ayrshare-comment-id) を参照してください。

対応プラットフォーム: Bluesky、Facebook、Instagram、LinkedIn、Reddit、TikTok、X/Twitter、YouTube。

### Ayrshare 外部で送信されたコメントの削除

Ayrshare 経由で送信されていないコメントを、特定のソーシャルネットワークで返される `commentId` を使って削除します。
これはソーシャルネットワークからの [Social Comment ID](/apis/comments/overview#comments-with-social-comment-id) であり、Ayrshare の ID ではありません。

対応プラットフォーム: Facebook、Instagram、TikTok、X/Twitter、YouTube。

<Note>
  **TikTok — 自作コメントのみ対応。** TikTok の `DELETE /comments` は、認証済み TikTok アカウント自身が投稿したコメント（例：Ayrshare の [reply エンドポイント](/apis/comments/reply-to-comment) または TikTok アプリ内から直接投稿した返信）に対してのみ成功します。自分が所有する動画に対して他のユーザーが投稿したコメントを削除しようとしても、Ayrshare `code: 328` が返されます。自身の TikTok 動画上の第三者コメントを管理する必要がある場合は、連携アカウントタイプで何が利用可能かをサポートで確認してください。
</Note>

たとえば、[Get Comments](/apis/comments/get-comments) エンドポイントで `searchPlatformId` を `true` に設定して、特定の Instagram 投稿のすべてのコメントを取得します。

```http theme={"system"}
GET https://api.ayrshare.com/api/comments/18231730279304111?platform=instagram&searchPlatformId=true
```

返される JSON には各コメントの `commentId` が含まれ、これを使ってコメントを削除できます。忘れずに `searchPlatformId` を `true` に設定してください。

```json {5} theme={"system"}
{
  "instagram": [
    {
      "comment": "What an amazing comment",
      "commentId": "17969247335804735",
      "created": "2024-11-26T11:49:00Z",
      "from": {
        "id": "103038435208332",
        "username": "john_smith"
      },
      "hidden": false,
      "likeCount": 3,
      "platform": "instagram",
      "postId": "18231730279304333",
      "username": "john_smith"
    }
  ]
}
```

## Header Parameters

<HeaderAPI />

## Path Parameters

<ParamField path="id" type="string" required>
  Ayrshare から送信されたコメントを削除する場合:

  <ul className="custom-bullets">
    <li>[Ayrshare Post ID](/apis/comments/overview#comments-with-ayrshare-post-id) を指定して、Ayrshare 経由で送信されたすべてのコメントを削除します。</li>
    <li>[Ayrshare Comment ID](/apis/comments/overview#comments-with-ayrshare-comment-id) を指定して、単一のコメントを削除します。</li>
  </ul>

  Ayrshare 外部で送信されたコメントを削除する場合:

  <ul className="custom-bullets">
    <li>
      ソーシャルネットワークの [Social Comment
      ID](/apis/comments/overview#comments-with-social-comment-id) を指定して、単一のコメントを削除します。
    </li>

    <li>`searchPlatformId` を `true` に設定してください。</li>
  </ul>
</ParamField>

## Body Parameters

<ParamField body="platforms" type="array">
  Ayrshare 経由で送信されたコメントを削除する場合は必須。コメントを削除するプラットフォームを指定します。

  対応プラットフォーム: `bluesky`, `facebook`, `instagram`, `linkedin`, `reddit`, `threads`, `tiktok`, `twitter`, `youtube`。

  ```json Deleting comments sent via Ayrshare theme={"system"}
  DELETE /comments/:id // Ayrshare Post ID or Ayrshare Comment ID
  {
    "platforms": ["bluesky", "facebook", "instagram", "linkedin", "reddit", "threads", "tiktok", "twitter", "youtube"]
  }
  ```
</ParamField>

<ParamField body="platform" type="string">
  ソーシャルネットワークの `commentId` に該当する [Social Comment
  ID](/apis/comments/overview#comments-with-social-comment-id) を使って削除する場合は必須。

  対応プラットフォーム: `bluesky`, `facebook`, `instagram`, `threads`, `tiktok`, `twitter`, `youtube`。一度に指定できるプラットフォームは 1 つのみです。
</ParamField>

<ParamField body="searchPlatformId" type="boolean" default={false}>
  ソーシャルネットワークの `commentId` に該当する [Social Comment
  ID](/apis/comments/overview#comments-with-social-comment-id) を使って削除する場合、`true` に設定する必要があります。

  ```json Deleting comments with Social Comment ID theme={"system"}
  DELETE /comments/:id // Social Comment ID
  {
    "searchPlatformId": true,
    // bluesky, facebook, instagram, threads, tiktok, twitter, youtube
    "platform": "facebook"
  }
  ```
</ParamField>

<ParamField body="hide" type="boolean" default={false}>
  TikTok のみ。`videoId` と併せて `true` に設定すると、TikTok コメントを削除する代わりに一般視聴者から非表示にします。成功レスポンスでは `action: "hide"` が返され、コメントがエコーバックされます。`videoId` なしで `hide=true` を送信すると HTTP `400` が返されます。

  非表示にされたコメントは、動画所有者には TikTok Studio 上で引き続き表示されます。

  ```json Hiding a TikTok comment theme={"system"}
  DELETE /comments/:id // Social Comment ID
  {
    "searchPlatformId": true,
    "platform": "tiktok",
    "hide": true,
    "videoId": "7303719953248109358"
  }
  ```
</ParamField>

<ParamField body="videoId" type="string">
  TikTok コメントを非表示にする場合（`hide=true`）に必須。コメントが属する TikTok 動画 ID。
</ParamField>

<RequestExample>
  ```bash cURL theme={"system"}
  curl \
  -H "Authorization: Bearer API_KEY" \
  -X DELETE https://api.ayrshare.com/api/comments/Ut1fWU6XkqkMayHGnJZ
  ```

  ```javascript JavaScript theme={"system"}
  const API_KEY = "API_KEY";

  fetch("https://api.ayrshare.com/api/comments/Ut1fWU6XkqkMayHGnJZ", {
    method: "DELETE",
    headers: {
      Authorization: `Bearer ${API_KEY}`,
    },
  })
    .then((res) => res.json())
    .then((json) => console.log(json))
    .catch(console.error);
  ```

  ```python Python theme={"system"}
  import requests

  headers = {'Authorization': 'Bearer API_KEY'}

  r = requests.delete('https://api.ayrshare.com/api/comments/Ut1fWU6XkqkMayHGnJZ', headers=headers)

  print(r.json())
  ```

  ```php PHP theme={"system"}
  <?php

  $apiUrl = 'https://api.ayrshare.com/api/comments/Ut1fWU6XkqkMayHGnJZ'; // Replace with your post ID
  $apiKey = 'API_KEY';  // Replace 'API_KEY' with your actual API key

  $headers = [
      'Content-Type: application/json',
      'Authorization: Bearer ' . $apiKey,
  ];

  $curl = curl_init($apiUrl);
  curl_setopt_array($curl, [
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_CUSTOMREQUEST => 'DELETE',
      CURLOPT_HTTPHEADER => $headers
  ]);

  $response = curl_exec($curl);

  if ($response === false) {
      echo 'Curl error: ' . curl_error($curl);
  } else {
      echo json_encode(json_decode($response), JSON_PRETTY_PRINT);
  }

  curl_close($curl);

  ```

  ```csharp C# theme={"system"}
  using System;
  using System.Net.Http;
  using System.Threading.Tasks;

  namespace CommentsDELETERequest_csharp
  {
      class CommentsDELETE
      {
          private static readonly HttpClient client = new HttpClient();

          static async Task Main(string[] args)
          {
              string API_KEY = "API_KEY";
              string url = "https://api.ayrshare.com/api/comments/Ut1fWU6XkqkMayHGnJZ";

              client.DefaultRequestHeaders.Add("Authorization", "Bearer " + API_KEY);

              try
              {
                  HttpResponseMessage response = await client.DeleteAsync(url);
                  response.EnsureSuccessStatusCode();
                  string responseBody = await response.Content.ReadAsStringAsync();
                  Console.WriteLine(responseBody);
              }
              catch (HttpRequestException e)
              {
                  Console.WriteLine($"Error: {e.Message}");
              }
          }
      }
  }
  ```
</RequestExample>

<ResponseExample>
  ```json 200: Success Single Comment theme={"system"}
  {
    "status": "success",
    "bluesky": {
      "action": "delete",
      "status": "success",
      "id": "at://did:plc:d/app.bsky.feed.post/3lez", // Bluesky Social Comment ID
      "comment": "This is a comment"
    },
    "facebook": {
      "action": "delete",
      "status": "success",
      "id": "938010233_939392023", // Facebook Social Comment ID
      "comment": "This is a comment"
    },
    "instagram": {
      "action": "delete",
      "status": "success",
      "id": "18010439663043269",  // Instagram Social Comment ID
      "comment": "This is a comment"
    },
    "linkedin": {
      "action": "delete",
      "status": "success",
      "id": "7133271664032669696", // LinkedIn Social Comment ID
      "comment": "This is a comment"
    },
    "threads": {
      "action": "delete",
      "status": "success",
      "id": "18064102964006231"   // Threads Social Comment ID
    },
    "tiktok": {
      "action": "delete",
      "status": "success",
      "commentId": "7303719953248109358", // Deprecated December 1, 2023. Use the id field instead.
      "id": "7303719953248109358", // TikTok Social Comment ID
      "comment": "This is a comment"
    },
    "twitter": {
      "action": "delete",
      "status": "success",
      "id": "1633128546494459904", // Twitter Social Comment ID
      "comment": "This is a comment"
    },
    "youtube": {
      "action": "delete",
      "status": "success",
      "id": "Ugy2m5u-LS9M29Gn3hd4AaABAg", // YouTub Social Comment ID
      "comment": "This is a comment"
    }
  }
  ```

  ```json 200: Sucesss Multiple Comments theme={"system"}
  {
    "status": "success",
    "linkedin": [
      {
        "action": "delete",
        "status": "success",
        "id": "7090782997972410368", // LinkedIn Social Comment ID
        "comment": "This is a comment"
      },
      {
        "action": "delete",
        "status": "success",
        "id": "7090783025164103680", // LinkedIn Social Comment ID
        "comment": "This is a comment"
      }
    ],
    "twitter": [
      {
        "action": "delete",
        "posts": [
          {
            "action": "delete",
            "status": "success",
            "id": "1685017310942134272", // Twitter Social Comment ID
            "comment": "This is a comment"
          }
        ]
      },
      {
        "action": "delete",
        "posts": [
          {
            "action": "delete",
            "status": "success",
            "id": "1685017338184146946", // Twitter Social Comment ID
            "comment": "This is a comment"
          }
        ]
      }
    ],
    "facebook": [
      {
        "action": "delete",
        "status": "success",
        "id": "676770944469840_644047184361660", // Facebook Social Comment ID
        "comment": "This is a comment"
      },
      {
        "action": "delete",
        "status": "success",
        "id": "676770944469840_983782432932944", // Facebook Social Comment ID
        "comment": "This is a comment"
      }
    ]
  }
  ```

  ```json 200: Success Hide TikTok Comment theme={"system"}
  {
    "status": "success",
    "tiktok": {
      "action": "hide",
      "status": "success",
      "id": "7303719953248109358", // TikTok Social Comment ID
      "comment": "This is a comment"
    }
  }
  ```

  ```json 400: Comment id not found theme={"system"}
  {
    "action": "comments",
    "status": "error",
    "code": 219,
    "message": "Error getting comments. Please verify the comments are still available."
  }
  ```
</ResponseExample>
